CREATE TABLE ask_business_objects_b] (
    BUSINESS_OBJECT_ID              NUMBER(18, 0)     NOT NULL,
    MODULE_SHORT_NAME               VARCHAR2(2000),
    REPORT_SERVER_TEST_URL          VARCHAR2(4000),
    REPORT_NAME                     VARCHAR2(4000),
    REPORT_SERVER_NAME              VARCHAR2(120) ,
    SERVICE_ID                      NUMBER(18, 0) ,
    TEST_URL                        VARCHAR2(4000),
    OBSOLETE_FLAG                   VARCHAR2(4)   ,
    GENERIC_FLAG                    VARCHAR2(4)   ,
    ENTERPRISE_APP_SHORT_NAME       VARCHAR2(2000),
    SERVICE_AM                      VARCHAR2(960) ,
    BUSINESS_OBJECT_SHORT_NAME      VARCHAR2(960)     NOT NULL,
    SVP                             VARCHAR2(960) ,
    VP                              VARCHAR2(960) ,
    OWNER                           VARCHAR2(960) ,
    STORE_SEED_DATA                 VARCHAR2(4)   ,
    LCT_FILE                        VARCHAR2(320) ,
    LCT_LINK                        VARCHAR2(960) ,
    LCT_ENTITY_CODE                 VARCHAR2(320) ,
    SEED_DATA_REQUESTOR             VARCHAR2(320) ,
    SEED_DATA_REVIEWER              VARCHAR2(320) ,
    SEED_REVIEW_PROCESS_TODAY       VARCHAR2(320) ,
    SEED_REVIEW_PROCESS_FUSION      VARCHAR2(320) ,
    ENTITY_TYPE                     VARCHAR2(320) ,
    SEED_DATA_TYPE                  VARCHAR2(320) ,
    COMMIT_IF_WARNING_FLAG          VARCHAR2(4)   ,
    HIGH_VOLUMN_TYPE                VARCHAR2(320) ,
    DENSE_ATTRIBUTES_FLAG           VARCHAR2(4)   ,
    EXPORT_ALLOWED_FLAG             VARCHAR2(4)   ,
    UPDATE_ALLOWED_FLAG             VARCHAR2(4)   ,
    TRANSFORM_ALLOWED_FLAG          VARCHAR2(4)   ,
    FILTER_ALLOWED_FLAG             VARCHAR2(4)   ,
    EXCEPTION_ACTION                VARCHAR2(960) ,
    SERVICE_TYPE                    VARCHAR2(320) ,
    SERVICE_NAME                    VARCHAR2(960) ,
    SERVICE_VISIBILITY              VARCHAR2(320) ,
    API_TYPE                        VARCHAR2(320) ,
    API                             VARCHAR2(960) ,
    SERVICE_SDO                     VARCHAR2(960) ,
    SETUP_COMMENTS                  VARCHAR2(4000),
    REVIEW_PRIORITIZER              VARCHAR2(320) ,
    REVIEW_PRIORITY                 VARCHAR2(120) ,
    SUPPORT_REPLICATION             VARCHAR2(4)   ,
    SWITCHABLE_EO                   VARCHAR2(4)   ,
    SWITCHABLE_VO                   VARCHAR2(4)   ,
    SUPPORT_SERVICE_OPER            VARCHAR2(4)   ,
    SUPPORT_EMBED_UI                VARCHAR2(4)   ,
    SUPPORT_PLSQL_API               VARCHAR2(4)   ,
    SUPPORT_PUB_TABLE_VIEW          VARCHAR2(4)   ,
    DEPLOYMENT_DATA_STORE           VARCHAR2(120) ,
    HOLD_SETUP_TASKS                VARCHAR2(4)   ,
    REVIEW_EXISTING_DATA            VARCHAR2(4)   ,
    PL_SHORT_NAME                   VARCHAR2(120) ,
    ACTIVE                          VARCHAR2(4)   ,
    DATA_STORAGE_CLASS              VARCHAR2(120) ,
    SUPPORT_MOBILE                  VARCHAR2(4)   ,
    HIGH_DATA_VOLUME                VARCHAR2(4)   ,
    PARENT_ENTITY_CODE              VARCHAR2(320) ,
    LOW_VOLUME_RANGE                VARCHAR2(120) ,
    SERVICE_SDO_VO                  VARCHAR2(960) ,
    SUPERTYPE_BUSINESS_OBJECT_ID    NUMBER(18, 0) ,
    SUBTYPE_DISCRIMINATOR           VARCHAR2(960) ,
    MILESTONE_CODE                  VARCHAR2(120) ,
    SUB_DISCRIMINATOR_VALUE         VARCHAR2(960) ,
    SUBTYPE_DISCRIMINATOR_ID        NUMBER        ,
    BUSINESS_AREA_ID                NUMBER        ,
    PARENT_BUSINESS_OBJECT_ID       NUMBER(18, 0) ,
    MILESTONE                       DATE          ,
    APPLICATION_ID                  NUMBER(18, 0) ,
    MODULE_ID                       VARCHAR2(128) ,
    MANUAL_MIGRATION_FLAG           VARCHAR2(4)   ,
    IMPORT_PAUSE_FLAG               VARCHAR2(4)   ,
    XML_FILE_NAME                   VARCHAR2(960) ,
    XML_NODE_PATH                   VARCHAR2(4000),
    ENTERPRISE_ID                   NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    SEED_DATA_SOURCE                VARCHAR2(2048),
    ORA_SEED_SET1                   VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                   VARCHAR2(4)       NOT NULL
);
